## ros-kinetic-cob-default-robot-config 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_default_robot_config)

find_package(catkin REQUIRED)

catkin_package()

if(CATKIN_ENABLE_TESTING)
  find_package(cob_supported_robots REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${cob_supported_robots_ROBOTLIST})
    message("testing for robot: ${robot}")
    #roslaunch_add_file_check(upload_param.launch robot:=${robot})
    roslaunch_add_file_check(robots/${robot}/upload_param.xml robot:=${robot})
  endforeach()
endif()

### INSTALL ###
install(DIRECTORY robots
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES upload_param.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-default-robot-config (0.7.5-1xenial) xenial; urgency=high

  * Merge pull request #812 <https://github.com/ipa320/cob_robots/issues/812> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #795 <https://github.com/ipa320/cob_robots/issues/795> from HannesBachter/update_cob4-8
    update cob4-8 (kinetic + d435 cams)
  * head joint configs for head with joint-2 on left side
  * Contributors: Felix Messmer, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-default-robot-config (0.7.4-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-default-robot-config (0.7.3-1xenial) xenial; urgency=high

  * Merge pull request #806 <https://github.com/ipa320/cob_robots/issues/806> from fmessmer/remove_cob4-22
    remove cob4-22
  * remove cob4-22
  * Merge pull request #799 <https://github.com/ipa320/cob_robots/issues/799> from HannesBachter/add_cob4-23
    Add cob4 23
  * add cob4-23
  * cleanup for now
  * Added bringup files for raw-mini
  * Merge pull request #792 <https://github.com/ipa320/cob_robots/issues/792> from fmessmer/ci_updates
    [travis] ci updates
  * fix roslaunch checks
  * fix test dependendies
  * catkin_lint fixes
  * Contributors: Felix Messmer, HannesBachter, Jannik Abbenseth, flg-vs, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-default-robot-config (0.7.2-1xenial) xenial; urgency=high

  * Merge pull request #788 <https://github.com/ipa320/cob_robots/issues/788> from HannesBachter/add_cob4-24
    Add cob4 24
  * add default acc and vel for grippers
  * Merge pull request #786 <https://github.com/ipa320/cob_robots/issues/786> from fmessmer/add_cob4-24
    [WIP] add cob4 24
  * Merge pull request #24 <https://github.com/ipa320/cob_robots/issues/24> from HannesBachter/add_cob4-24
    fix gripper
  * fix gripper can, driver, ...
  * add cob4-24
  * Merge pull request #783 <https://github.com/ipa320/cob_robots/issues/783> from HannesBachter/update_cob4-3
    update cob4-3 to regular cob base
  * update cob4-3 to regular cob base
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-default-robot-config (0.7.1-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 09 Aug 2019 22:00:00 -0000

ros-kinetic-cob-default-robot-config (0.7.0-1xenial) xenial; urgency=high

  * Merge pull request #779 <https://github.com/ipa320/cob_robots/issues/779> from HannesBachter/add_cob4-22
    add cob4-22
  * add cob4-22
  * Contributors: Florian Weisshardt, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-default-robot-config (0.6.11-1xenial) xenial; urgency=high

  * Merge pull request #775 <https://github.com/ipa320/cob_robots/issues/775> from fmessmer/add_cob4-25
    add cob4-25
  * add cob4-25
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-default-robot-config (0.6.10-1xenial) xenial; urgency=high

  * Merge pull request #769 <https://github.com/ipa320/cob_robots/issues/769> from fmessmer/add_cob4-20
    add cob4-20 ipa 340
  * add cob4-20 ipa 340
  * Merge pull request #768 <https://github.com/ipa320/cob_robots/issues/768> from fmessmer/update_cob4-7
    setup new cob4-7
  * enable actuators
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-default-robot-config (0.6.9-1xenial) xenial; urgency=high

  * update maintainer
  * Merge pull request #760 <https://github.com/ipa320/cob_robots/issues/760> from ipa-fxm/cob4-10_hw_upgrade
    cob4-10 hw upgrade
  * cob4-10 hw upgrade
  * Merge pull request #759 <https://github.com/ipa320/cob_robots/issues/759> from ipa-fxm/fix_grippers_onboard_driver
    re-add joint_names param + consistent launch structure for sdhx with remote driver
  * revert: remove obsolete joint_names param
  * Merge pull request #757 <https://github.com/ipa320/cob_robots/issues/757> from ipa-fxm/migrate_unity_structure
    simplify config structure
  * simplify config structure
  * Merge pull request #756 <https://github.com/ipa320/cob_robots/issues/756> from HannesBachter/add_cob4-13_cardiff
    changes for cob4-13
  * add cob4-cardiff
  * Merge pull request #755 <https://github.com/ipa320/cob_robots/issues/755> from ipa-bnm/removed_unsave_buttons
    removed unsafe buttons
  * removed unsafe buttons
  * no head for cob4-13
  * Merge pull request #747 <https://github.com/ipa320/cob_robots/issues/747> from ipa-fxm/add_cob4-13_cardiff
    add cob4-13 cardiff
  * Merge pull request #750 <https://github.com/ipa320/cob_robots/issues/750> from ipa-fxm/add_missing_components_cob4-18
    add light and em monitor
  * add light and em monitor
  * cob4-13 config fixes
  * Merge pull request #746 <https://github.com/ipa320/cob_robots/issues/746> from ipa-fxm/add_cob4-18_323
    add cob4-18 323
  * add cob4-18 323
  * add cob4-13 cardiff
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, cob4-13, fmessmer, ipa-fmw, ipa-fxm, mailto:robot@cob4-16

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-default-robot-config (0.6.8-1xenial) xenial; urgency=high

  * Merge pull request #744 <https://github.com/ipa320/cob_robots/issues/744> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #733 <https://github.com/ipa320/cob_robots/issues/733> from ipa-fxm/add_cob4-16_uh
    add cob4-16 uh
  * add cob4-16 uh
  * Merge pull request #728 <https://github.com/ipa320/cob_robots/issues/728> from ipa-nhg/cob47-setup
    setup cob4-7
  * setup cob4-7


=== debian/control ===
Source: ros-kinetic-cob-default-robot-config
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cob-supported-robots, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/cob_default_robot_config
Standards-Version: 3.9.2

Package: ros-kinetic-cob-default-robot-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Default configuration of the different robots supported by the Care-O-bot stacks.
 Configuration is e.g. preconfigured joint positions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-default-robot-config//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
